> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Zapier: Get Job Stage Change Sample

> Returns sample job stage change data for Zapier trigger testing. Falls back to sample data if no matching job status changes exist.



## OpenAPI

````yaml /api-reference/openapi-zapier.json get /zapier/zap-job-stage-change-sample
openapi: 3.1.0
info:
  title: Stardex API (Zapier)
  version: 1.0.0
  description: Stardex Zapier integration endpoints.
servers:
  - url: https://api.stardex.ai
    description: Production API server
security:
  - bearerAuth: []
tags: []
paths:
  /zapier/zap-job-stage-change-sample:
    get:
      tags:
        - Zapier Endpoints
      summary: 'Zapier: Get Job Stage Change Sample'
      description: >-
        Returns sample job stage change data for Zapier trigger testing. Falls
        back to sample data if no matching job status changes exist.
      responses:
        '200':
          description: Job stage change sample retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZapJobStageChangeSampleResponse'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses.
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: >-
                          Machine-readable error code (e.g. "VALIDATION_ERROR",
                          "NOT_FOUND").
                      message:
                        type: string
                        description: Human-readable error description.
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  schemas:
    ZapJobStageChangeSampleResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          job_id:
            type: string
          job_name:
            type: string
          job_description:
            type:
              - string
              - 'null'
          job_company:
            type:
              - string
              - 'null'
          job_location:
            type:
              - string
              - 'null'
          job_primary_url:
            type:
              - string
              - 'null'
          job_work_model:
            type:
              - string
              - 'null'
          job_function:
            type:
              - string
              - 'null'
          job_status_id:
            type:
              - string
              - 'null'
          job_status_name:
            type:
              - string
              - 'null'
          is_archived:
            type: boolean
          fee:
            type:
              - string
              - 'null'
          currency_code:
            type:
              - string
              - 'null'
          firm_commission_percent:
            type:
              - string
              - 'null'
          salary_details:
            type:
              - string
              - 'null'
          open_date:
            type:
              - string
              - 'null'
          end_date:
            type:
              - string
              - 'null'
          candidate_start_date:
            type:
              - string
              - 'null'
          billing_contact_name:
            type:
              - string
              - 'null'
          billing_contact_email:
            type:
              - string
              - 'null'
          created_by_team_member_name:
            type:
              - string
              - 'null'
          created_at:
            type:
              - string
              - 'null'
          updated_at:
            type:
              - string
              - 'null'
          stardex_job_link:
            type: string
          job_team_members:
            type: array
            items:
              type: object
              properties:
                id:
                  type: string
                team_member_id:
                  type: string
                team_member_name:
                  type:
                    - string
                    - 'null'
                job_team_member_role_id:
                  type:
                    - string
                    - 'null'
                job_team_member_role_name:
                  type:
                    - string
                    - 'null'
              required:
                - id
                - team_member_id
                - team_member_name
                - job_team_member_role_id
                - job_team_member_role_name
          job_team_members_text:
            type: string
          custom_fields:
            type: array
            items:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
                type:
                  type: string
                value:
                  type: string
                values:
                  type: array
                  items:
                    type: string
              required:
                - id
                - name
                - type
                - value
          custom_fields_text:
            type: string
          from_stage_id:
            type:
              - string
              - 'null'
          from_stage_name:
            type:
              - string
              - 'null'
          to_stage_id:
            type:
              - string
              - 'null'
          to_stage_name:
            type:
              - string
              - 'null'
          stage_changed_at:
            type:
              - string
              - 'null'
          stage_changed_by_team_member_id:
            type:
              - string
              - 'null'
          stage_changed_by_team_member_name:
            type:
              - string
              - 'null'
        required:
          - id
          - job_id
          - job_name
          - job_description
          - job_company
          - job_location
          - job_primary_url
          - job_work_model
          - job_function
          - job_status_id
          - job_status_name
          - is_archived
          - fee
          - currency_code
          - firm_commission_percent
          - salary_details
          - open_date
          - end_date
          - candidate_start_date
          - billing_contact_name
          - billing_contact_email
          - created_by_team_member_name
          - created_at
          - updated_at
          - stardex_job_link
          - job_team_members
          - job_team_members_text
          - custom_fields
          - custom_fields_text
          - from_stage_id
          - from_stage_name
          - to_stage_id
          - to_stage_name
          - stage_changed_at
          - stage_changed_by_team_member_id
          - stage_changed_by_team_member_name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Authenticate with a Bearer token: API key, OAuth token, or session
        token.

````